1. Virtual Account
RemitPro - API International Remittance
  • Getting Strated Guide
    • 1. Overview
    • 2. High Level Flow
    • 3. Supported Corridors
    • 4. Authorization & Scope
    • 5. Handle Error
    • 6. Signature
    • 7. API Host
    • 8. Pre-Integration Steps
    • 9. Doc Change Log
  • API Reference (V1)
    • Authentication
      • Generate Token
        POST
      • Refresh Token
        POST
    • Master Data
      • Onboarding
        • Overview
        • Id Type Personal
        • Id Types Business
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Document Types Personal
        • Document Types Business
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Purpose Account
        • Salutation
        • User Position
        • Phone Prefix
        • Monthly Income
      • Area
        • Overview
        • Countries
        • Countries by Id
        • States
        • States by Id
        • City
        • City by Id
        • District
        • District by Id
        • Sub District
        • Sub District by Id
      • Transaction
        • Overview
        • Bank
        • Bank Branch
        • Bank Account Type
        • Business Classification
        • Business Industry
        • Nature of Business
        • Business Entity
        • Identity Types
        • Education
        • Gender
        • Marital Status
        • Nationalities
        • Occupation
        • Phone Prefix
        • Purpose of Payment
        • Recipient of Relationship
        • Source of Income
        • User Position
        • Work Status
    • Payout Cross Border
      • Sender
        • Overview
        • Business
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
        • Personal
          • Create Sender
          • Update Sender
          • Deactive
          • Reactive
          • Sender Detail
          • Sender List
          • History List
      • Recipient
        • Overview
        • Business
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
        • Personal
          • Recipient Form
          • Create
          • Update
          • Deactive
          • Reactive
          • Recipient Detail
          • Recipient List
          • History List
      • Quotes
        • Enquire Quotes
        • Quote List
        • Quote Detail
      • Transaction
        • Create Transaction
        • Transaction Status
        • Transaction List
        • Transaction Detail
    • Onbording Member
      • Overview
      • Business
        • Get Business Document
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
      • Personal
        • Create Member
        • Update
        • Deactive
        • Reactive
        • Member List
        • Member Detail
        • History List
    • Wallet
      • Overview
      • Own Wallet
      • Wallet Member List
      • Wallet Member Detail
      • Get Own Wallet Histories
      • Get Member Wallet Histories
    • Virtual Account
      • Create Virtual Account
        POST
      • Virtual Account List
        GET
      • Virtual Account Detail
        GET
      • Top Up Simulation
        POST
    • Webhook
      • Overview
      • Webhook Category
      • Webhook URL Submission
      • Get Webhook URL List
      • Update
      • Deactive
  1. Virtual Account

Virtual Account List

Developing
GET
/api/v1/partner/members/virtual-accounts
Retrieve a list of registered virtual accounts associated with the partner. This endpoint allows partners to view all available, status, and associated customer information.

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Body

🟠404Data Not Found
🟠400Invalid Data
🟠401Unauthorized
🟠404Resource not found
🟠401Token Expired
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/partner/members/virtual-accounts?page=1&limit=10' \
--header 'Authorization: {{token}}' \
--header 'ClientSecret: {{ClientSecret}}' \
--header 'Signature: {{signature}}' \
--header 'Date: {{dateRequest}}'
Response Response Example
200 - Success
{
    "status": 200,
    "serviceStatus": "2001700",
    "titleCode": "success",
    "title": "Success",
    "detail": "Processed successfully",
    "responseTime": "31 Oct 2025 12:28:09 GMT",
    "data": [
        {
            "id": "bf437cb6-9b60-48ee-87ca-e8973d2005c3",
            "bankName": "NULL",
            "bankAccountNumber": "NULL",
            "bankCountry": "NULL",
            "status": "PENDING",
            "number": "NULL",
            "accountHolderName": "NULL",
            "createdAt": "2025-10-13T12:19:04"
        },
        {
            "id": "15be21bc-10f7-4fd2-ade2-8974abbe18e2",
            "bankName": "DBS",
            "bankAccountNumber": "885395021205240243",
            "bankCountry": "Singapore",
            "status": "ACTIVE",
            "number": "885395021205240243",
            "accountHolderName": "PT Arunika Teknologi Solusi 2",
            "createdAt": "2025-10-23T03:19:21"
        },
        {
            "id": "cfd3fb97-437e-42ae-942e-3ac50ccd5c4b",
            "bankName": "NULL",
            "bankAccountNumber": "NULL",
            "bankCountry": "NULL",
            "status": "PENDING",
            "number": "NULL",
            "accountHolderName": "NULL",
            "createdAt": "2025-10-23T11:20:48"
        },
        {
            "id": "523cdc1f-5e9f-45ae-bea5-426b083f14e0",
            "bankName": "NULL",
            "bankAccountNumber": "NULL",
            "bankCountry": "NULL",
            "status": "PENDING",
            "number": "NULL",
            "accountHolderName": "NULL",
            "createdAt": "2025-10-30T08:33:26"
        },
        {
            "id": "b4f7297b-a2df-452a-979f-6b468c244c93",
            "bankName": "NULL",
            "bankAccountNumber": "NULL",
            "bankCountry": "NULL",
            "status": "PENDING",
            "number": "NULL",
            "accountHolderName": "NULL",
            "createdAt": "2025-10-30T08:35:59"
        },
        {
            "id": "0f4a5840-941c-4382-a845-82bb1428db17",
            "bankName": "NULL",
            "bankAccountNumber": "NULL",
            "bankCountry": "NULL",
            "status": "PENDING",
            "number": "NULL",
            "accountHolderName": "NULL",
            "createdAt": "2025-10-30T08:38:29"
        }
    ],
    "pagination": {
        "limit": 20,
        "page": 1,
        "totalRecords": 6,
        "totalPages": 1,
        "links": {
            "self": "https://api-gateway-dev.remitpro.asia/api/v1/partner/general/countries?page=1&limit=20",
            "last": "https://api-gateway-dev.remitpro.asia/api/v1/partner/general/countries?page=1&limit=20"
        }
    }
}
Modified at 2025-10-31 09:54:21
Previous
Create Virtual Account
Next
Virtual Account Detail
Built with